Package org.apache.any23.util

## Class DiscoveryUtilsTest

- java.lang.Object
- - org.apache.any23.util.DiscoveryUtilsTest

-     public class DiscoveryUtilsTest
      extends Object

  Test case for `DiscoveryUtils`.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DiscoveryUtilsTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testGetClassesInJAR()` | Test case for `DiscoveryUtils.getClassesInPackage(String, Class)` with detection in JAR file.
    `void` | `testGetClassesInPackage()` | Test case for `DiscoveryUtils.getClassesInPackage(String, Class)` with detection in classes dir.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryUtilsTest

          public DiscoveryUtilsTest()

  - ### Method Detail

    - #### testGetClassesInPackage

          public void testGetClassesInPackage()
                                       throws ClassNotFoundException,
                                              IOException

      Test case for `DiscoveryUtils.getClassesInPackage(String, Class)` with detection in classes dir.
      Throws:
        `ClassNotFoundException` - if there is an error location class in 'org.apache.any23.vocab' package
        `IOException` - if there is an error in the input

    - #### testGetClassesInJAR

          public void testGetClassesInJAR()
                                   throws ClassNotFoundException,
                                          IOException

      Test case for `DiscoveryUtils.getClassesInPackage(String, Class)` with detection in JAR file.
      Throws:
        `ClassNotFoundException` - if there is an error location class in 'org.eclipse.rdf4j' package
        `IOException` - if there is an error in the input